language: cn
model_unique_abbr: Voronoi_Network
version: 1.0
identification:
  docker_image_name: rvd:1.0
  model_name: 道路网络Voronoi图构建算法
  semantic: Road Network Voronoi Diagram Construction Algorithm
  description: 基于最短路径算法，构建路网中的时Voronoi图
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 最短路径
  - Voronoi图
parameter_info:
  parameters:
  - arg_name: input_path
    is_single_en_dash: false
    param_type: input_data
    name: 道路网络数据
    description: 香港城市道路网络数据，数据中需包含所有路网边的起点和终点信息csv
    data_type: csv
    data_semantic: network_data

  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 道路节点
    description: "道路节点,所属生成器点，以txt的形式保存"
    data_type: str
    data_semantic: result        

application:
  domain:  道路网络Voronoi图构建
  objective:  道路网络Voronoi图构建
  dimension:
  - 三维
  mechanism: 使用最短路径算法构建道路网络Voronoi图
operation:
  usage: 该算法需要两个参数，道路网络矢量数据(network_data)，生成器(Generators)。
  exec_example:
  - docker run -v $(pwd):/data vn:1.0 --input /data/network.csv --originId 18 --radius 200 --output /data/output.csv
  output_display:
  - 道路节点,所属生成器点
technique:
  language:
  - python
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangchao
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "CHEN, B. Y., et al. 2016. Spatiotemporal data model for network time geographic analysis in the era of big data. International Journal of Geographical Information Science, 30(6), 1041-1071."
